Subject: bug#24299: Can we just drop the noise from blink-matching-paren?

From: [email-masked] (Harald Jörg)
Date: Wed, 23 Jun 2021 15:59:00 +0000

The misleading messages are caused by blink-matching-open which is
confused by the quotation mark within the regexp.  There are various
ways to trigger the message in perl-mode (and cperl-mode).  For example,
the closing paren in this line triggers the same message:

  my $text = "(')";

Modes like text-mode also get the noise when you enter a plain old
smiley like :-) or old-fashioned numbered lists like a), b), ...

Can we just drop these messages from blink-matching-open altogether?  I
know that this is a global change in behavior, but in my opinion the
value of the message for the user isn't that great.
-- 
Cheers,
haj